[**brk-client**](../README.md)

***

[brk-client](../globals.md) / DateThenable

# Type Alias: DateThenable\<T\>

> **DateThenable**\<`T`\> = (`onfulfilled?`, `onrejected?`) => `Promise`\<[`DateSeriesData`](DateSeriesData.md)\<`T`\>\>

Defined in: [Developer/brk/modules/brk-client/index.js:1507](https://github.com/bitcoinresearchkit/brk/blob/76869ed2b6aad1e1c3da7aff4c90e9b5788fb606/modules/brk-client/index.js#L1507)

## Type Parameters

### T

`T`

## Parameters

### onfulfilled?

(`value`) => `any`

### onrejected?

(`reason`) => `never`

## Returns

`Promise`\<[`DateSeriesData`](DateSeriesData.md)\<`T`\>\>
